[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.GetChildren

Performs an operation for a component instance and its Items.

## Declaration

Source position: menus.pp line 243

`protected procedure TMenuItem.GetChildren(`
`Proc: TGetChildProc;`
`Root: TComponent`
`); override;`

## Arguments

`Proc` |  | Object procedure called for the component.
`Root` |  | Component examined in the object procedure.

## Description

GetChildren is an overridden method in TMenuItem, and implements the dynamic method defined in the ancestor class. It does not call the inherited method.

GetChildren calls the object procedure in Proc for the component instance in Root and each of the component instances in its Items property.

No actions are performed in the method when Items has not been assigned (contains Nil).

## See also

TComponent